Name:		sneakernet_ca
Version:	0.1
Release:	2%{?dist}
Summary:	Helper for certmonger to manually generate certs

Group:		System Environment/Daemons
License:	Unknown
URL:		http://github.com/manageiq/sneakernet_ca.git
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch
# TODO: requires ruby or scl ruby
# Requires: ruby OR scl
Requires: certmonger >= 0.75.8
Requires(post): dbus
Requires(post): dbus

%define helpers %{_libexecdir}/certmonger/
%define staging %{_localstatedir}/lib/sneakernet

%description
Sneakernet is a certmonger helper that allows you to leverage certmonger without a real CA.
It copies the signing requests into %{staging} where you can manually sign the certificates.

It is advised to use a real CA in production.

%build

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{staging}
install -m644 README.md $RPM_BUILD_ROOT%{staging}
install -d $RPM_BUILD_ROOT%{helpers}
install -m755 sneakernet $RPM_BUILD_ROOT%{helpers}
install -m755 sneakernet.rb $RPM_BUILD_ROOT%{helpers}
install -d $RPM_BUILD_ROOT%{_bindir}
install -m755 sneakernet_sign $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/sbin/semanage ] && /usr/sbin/semanage fcontext -a -t cert_t "%{staging}(/.*)?"
[ -x /sbin/restorecon ] && /sbin/restorecon -R -v %{staging}

dbus-send --system --dest=org.fedorahosted.certmonger /org/fedorahosted/certmonger \
  org.fedorahosted.certmonger.add_known_ca string:sneakernet string:/usr/libexec/certmonger/sneakernet

%preun

caname=`dbus-send --print-reply=literal --system --dest=org.fedorahosted.certmonger \
  /org/fedorahosted/certmonger org.fedorahosted.certmonger.find_ca_by_nickname string:sneakernet`
if [ -n "$caname" ] ; then
  caname=`echo $caname`
  dbus-send --system --dest=org.fedorahosted.certmonger /org/fedorahosted/certmonger \
  org.fedorahosted.certmonger.remove_known_ca "objpath:${caname}"
fi

%files
%defattr(-,root,root,-)
%{staging}/README.md
%{helpers}/sneakernet
%{helpers}/sneakernet.rb
%{_bindir}/sneakernet_sign

%changelog
* Mon Aug 04 2014 Joe VLcek <jVLcek@redhat.com> - 0.1-2
- Fix file permissions on the README.md

* Mon Aug 04 2014 Joe VLcek <jVLcek@redhat.com> - 0.1-1
- Initial release.

